xapian-core 1.4.26

Public Member Functions | List of all members
Xapian::KeyMaker Class Referenceabstract

Virtual base class for key making functors. More...

`#include <keymaker.h>`

Inheritance diagram for Xapian::KeyMaker:
[legend]

## Public Member Functions
| KeyMaker ()
| Default constructor.
virtual std::string | operator() (const Xapian::Document &doc) const =0
| Build a key string for a Document.
virtual | ~KeyMaker ()
| Virtual destructor, because we have virtual methods.
KeyMaker * | release ()
| Start reference counting this object.
const KeyMaker * | release () const
| Start reference counting this object.

## Detailed Description

Virtual base class for key making functors.

## Member Function Documentation

## ◆ operator()()

virtual std::string Xapian::KeyMaker::operator() | ( | const Xapian::Document & | doc | ) | const
| pure virtual

Build a key string for a Document.

These keys can be used for sorting or collapsing matching documents.

Parameters

  doc | Document object to build a key for.

Implemented in Xapian::LatLongDistanceKeyMaker, and Xapian::MultiValueKeyMaker.

## ◆ release() [1/2]

KeyMaker * Xapian::KeyMaker::release | ( |  | ) |
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated KeyMaker object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## ◆ release() [2/2]

const KeyMaker * Xapian::KeyMaker::release | ( |  | ) | const
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated KeyMaker object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/keymaker.h